2020-05-06 17:45  rsbivand

	* R/SpatialPolys-methods.R, R/shapelib.R: read MAP format files

2020-05-05 15:15  rsbivand

	* DESCRIPTION: tidy

2020-05-05 15:09  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2020-05-05 15:07  rsbivand

	* DESCRIPTION, R/GE_png.R, R/Rgshhs.R, R/SpatialLines-methods.R,
	  R/as.linnet.SL.R, R/checkHoles.R, R/kmlLine.R, R/kmlLines.R,
	  R/kmlPoints.R, R/kmlPolygon.R, R/kmlPolygons.R, R/maptools.R,
	  R/nowrapRecenter.R, R/point_line_distance.R, R/sp_bind.R,
	  R/spatstat1.R: linnet update; spRbind CRS update

2019-10-03 12:21  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-10-03 12:20  rsbivand

	* DESCRIPTION, src/shpopen.c, src/shptree.c: try warn_unused_result
	  fix

2019-10-03 07:58  rsbivand

	* DESCRIPTION: tidy

2019-08-09 15:59  rsbivand

	* R/spatstat1.R: tidy

2019-08-09 15:42  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-08-09 15:41  rsbivand

	* man/as.SpatialPolygons.tess.Rd, man/as.im.Rd, man/as.owin.Rd,
	  man/as.ppp.Rd, man/as.psp.Rd: add split out spatstat coercion man
	  pages

2019-08-07 13:06  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-08-07 13:05  rsbivand

	* R/SP2owin.R, R/as.linnet.SL.R, R/spatstat1.R,
	  man/as.linnet.SpatialLines.Rd, man/as.ppp.Rd,
	  man/map2SpatialPolygons.Rd, man/nowrapRecenter.Rd,
	  man/sp2Mondrian.Rd, man/sp2WB.Rd, man/sp2tmap.Rd: add checks for
	  projected objects

2019-08-07 09:36  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-08-07 09:25  rsbivand

	* DESCRIPTION, R/as.linnet.SL.R: revised linnet code

2019-02-18 09:05  rsbivand

	* DESCRIPTION: tidy

2019-02-18 09:04  rsbivand

	* ChangeLog, inst/ChangeLog: revert default snapPointsToLines
	  maxDist default to NA

2019-02-18 08:58  rsbivand

	* R/point_line_distance.R, man/snapPointsToLines.Rd: revert default
	  snapPointsToLines maxDist default to NA

2019-02-18 08:55  rsbivand

	* DESCRIPTION: add pkgdown link to DESCRIPTION

2019-02-18 08:35  rsbivand

	* ChangeLog, DESCRIPTION, inst/ChangeLog: tidy

2019-02-18 08:32  rsbivand

	* R/point_line_distance.R: uncomment lines in snapPointsToLines

2019-02-13 09:21  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-02-13 09:20  rsbivand

	* R/gc_dist.R: logic checks

2019-02-12 12:59  rsbivand

	* _pkgdown.yml: pkgdown

2019-02-12 12:50  rsbivand

	* .Rbuildignore, DESCRIPTION, R/as.linnet.SL.R, _pkgdown.yml: start
	  pkgdown

2019-02-11 09:15  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2019-02-11 09:14  rsbivand

	* DESCRIPTION, R/as.linnet.SL.R, man/as.linnet.SpatialLines.Rd:
	  update as.linnet.SpatialLines

2019-02-07 17:01  rsbivand

	* ChangeLog: tidy

2019-02-07 16:59  rsbivand

	* DESCRIPTION, R/point_line_distance.R, man/snapPointsToLines.Rd:
	  update to snapPointsToLines

2019-02-07 16:19  rsbivand

	* ChangeLog: tidy

2018-09-19 07:40  rsbivand

	* DESCRIPTION: tidy

2018-09-10 18:34  rsbivand

	* DESCRIPTION, NAMESPACE, R/AAA.R: delayed S3 method registration

2018-07-30 20:31  rsbivand

	* inst/ChangeLog: tidy

2018-07-30 20:31  rsbivand

	* ChangeLog: tidy

2018-07-30 20:31  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2018-07-30 20:30  rsbivand

	* man/kmlLines.Rd, man/kmlPolygons.Rd: tidy

2018-07-30 14:45  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2018-07-30 14:43  rsbivand

	* DESCRIPTION, R/AAA.R, R/spatstat1.R: S3 method issues

2017-04-05 10:16  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2017-04-05 10:13  rsbivand

	* DESCRIPTION, R/spatstat1.R: add spatstat.utils

2017-04-05 10:11  rsbivand

	* R/Spatial-methods.R, R/SpatialLines-methods.R,
	  R/SpatialPoints-methods.R, R/SpatialPolys-methods.R,
	  man/readShapeLines.Rd, man/readShapePoints.Rd,
	  man/readShapePoly.Rd, man/readShapeSpatial.Rd: tidy

2017-02-23 09:29  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2017-02-23 09:29  rsbivand

	* src/Rcentroid.c, src/Rgshhs.c, src/init.c, src/maptools.h: add
	  registration

2017-02-23 08:39  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2017-02-23 08:38  rsbivand

	* DESCRIPTION, man/gcDestination.Rd: tidy

2017-02-23 08:23  rsbivand

	* R/Spatial-methods.R, R/SpatialLines-methods.R,
	  R/SpatialPoints-methods.R, R/SpatialPolys-methods.R,
	  man/readShapeLines.Rd, man/readShapePoints.Rd,
	  man/readShapePoly.Rd, man/readShapeSpatial.Rd: set .Deprecated
	  for maptools shapelib use

2017-02-23 08:11  rsbivand

	* man/readShapeLines.Rd, man/readShapePoints.Rd,
	  man/readShapePoly.Rd, man/readShapeSpatial.Rd: fix docu-bug

2017-01-07 16:53  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2017-01-02 11:17  rsbivand

	* DESCRIPTION: tidy

2016-12-30 20:01  rsbivand

	* DESCRIPTION, NAMESPACE, R/as.linnet.SL.R,
	  man/as.linnet.SpatialLines.Rd: adding coercion to
	  spatstat::linnet

2016-11-14 13:33  rsbivand

	* ChangeLog, inst/ChangeLog, man/nowrapSpatialLines.Rd: tidy

2016-11-13 19:29  rsbivand

	* DESCRIPTION, R/AAA.R, data/wrld_simpl.rda: cache on load not
	  attach; Untied ...

2016-01-29 08:38  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2016-01-28 13:48  rsbivand

	* DESCRIPTION, R/kmlPoints.R, man/kmlPoints.Rd, man/wrld_simpl.Rd,
	  src/pip.c: remove S.h from src/pip.c

2015-10-28 21:01  rsbivand

	* data/wrld_simpl.rda: tidy

2015-10-14 13:07  rsbivand

	* DESCRIPTION, inst/README, inst/shapes/Testing.kml,
	  inst/shapes/tessellate.kml, man/getKMLcoordinates.Rd: tidy

2015-10-14 07:06  rsbivand

	* inst/README: tidy

2015-10-13 14:43  rsbivand

	* man/as.ppp.Rd: tidy

2015-10-13 12:36  rsbivand

	* DESCRIPTION, R/getKMLcoordinates.R, inst/README,
	  inst/shapes/tessellate.kml, man/getKMLcoordinates.Rd: fix
	  getKMLcoordinates bug

2015-10-13 12:31  rsbivand

	* man/nowrapSpatialLines.Rd: tidy

2015-09-28 22:20  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-09-28 22:19  rsbivand

	* ChangeLog, DESCRIPTION, NAMESPACE, R/nowrapRecenter.R,
	  R/sp_spat1.R, man/as.ppp.Rd, man/gzAzimuth.Rd: tidy

2015-07-03 11:21  rsbivand

	* R/nowrapRecenter.R, R/sp_spat1.R, R/spmaps.R: nowrapSL to rgeos

2015-06-30 21:16  rsbivand

	* DESCRIPTION, R/sp_spat1.R, man/as.ppp.Rd: RasterLayer to im
	  coercion

2015-06-30 05:52  rsbivand

	* DESCRIPTION, NAMESPACE, R/nowrapRecenter.R, R/spmaps.R,
	  man/map2SpatialPolygons.Rd, man/nowrapRecenter.Rd: nowrap
	  revisions

2015-06-28 15:17  rsbivand

	* DESCRIPTION, NAMESPACE, R/nowrapRecenter.R: CRAN
	  _R_CHECK_CODE_USAGE_WITH_ONLY_BASE_ATTACHED_=true NAMESPACE tidy

2015-06-10 13:55  rsbivand

	* DESCRIPTION, R/colslegs.R, man/leglabs.Rd, man/sp2Mondrian.Rd,
	  vignettes/combine_maptools.Rnw: reverse leglabs

2015-04-24 10:26  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-04-24 10:25  rsbivand

	* DESCRIPTION, R/checkHoles.R: remove gc() and rm() from checkHoles

2015-04-23 10:19  rsbivand

	* ChangeLog, inst/ChangeLog, svn2cl.xsl: tidy

2015-04-20 13:21  rsbivand

	* DESCRIPTION, R/checkHoles.R, R/sp2pbs.R, man/GE_SpatialGrid.Rd,
	  man/kmlLine.Rd, man/kmlLines.Rd, man/kmlOverlay.Rd,
	  man/nowrapRecenter.Rd: cleaning oddities, mostly adding +ellps=

2015-04-13 07:55  rsbivand

	* R/checkHoles.R, data/wrld_simpl.rda: tidy

2015-04-13 06:06  edzer

	* DESCRIPTION, man/SpatialLines2PolySet.Rd: version bump; adapt
	  CRS() to sp 1.1-0 requirements: wgs->WGS, +ellps=WGS84

2015-02-03 13:57  rsbivand

	* DESCRIPTION, R/spmaps.R, man/map2SpatialPolygons.Rd,
	  src/Rgshhs.c, src/shapefil.h: make map to SP hole checking
	  optional

2015-02-01 16:34  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2015-02-01 16:33  rsbivand

	* DESCRIPTION: tidy

2015-01-31 13:36  rsbivand

	* DESCRIPTION, R/nowrapRecenter.R, R/spmaps.R,
	  man/GE_SpatialGrid.Rd, man/dotsInPolys.Rd, man/readGPS.Rd,
	  man/readSplus.Rd, man/sp2WB.Rd, man/sp2tmap.Rd,
	  man/symbolsInPolys.Rd: checking all examples

2015-01-30 16:36  rsbivand

	* man/SpatialLines2PolySet.Rd: tidy

2015-01-30 16:35  rsbivand

	* DESCRIPTION: tidy

2015-01-27 18:55  edzer

	* R/DP.R, R/Rgshhs.R, R/SP2owin.R, R/checkHoles.R,
	  R/nowrapRecenter.R, R/point_line_distance.R, R/sp2pbs.R,
	  R/sp_spat1.R, R/spatstat1.R, R/union.R: solved all "no visible
	  global function definition for" warnings by removing all
	  require("xxx") calls.

2014-08-06 18:53  rsbivand

	* DESCRIPTION, R/sp2pbs.R, src/Rgshhs.c: PBS hole

2014-06-05 15:18  rsbivand

	* DESCRIPTION, R/AAA.R, R/point_line_distance.R, man/Rgshhs.Rd,
	  man/checkPolygonsHoles.Rd, man/nowrapRecenter.Rd,
	  man/readSplus.Rd, man/snapPointsToLines.Rd,
	  man/unionSpatialPolygons.Rd, vignettes/combine_maptools.Rnw:
	  rgeos-proof examples and vignette

2014-02-19 16:53  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2014-02-19 16:51  rsbivand

	* DESCRIPTION, inst/share/gshhs_c.b, inst/share/wdb_borders_c.b,
	  man/Rgshhs.Rd: upgraded GSHHS files to 2.3.0

2014-01-28 19:02  rsbivand

	* DESCRIPTION, R/point_line_distance.R: fix is/class issue in
	  point_line_distance

2014-01-22 09:42  rsbivand

	* DESCRIPTION, R/point_line_distance.R, man/snapPointsToLines.Rd:
	  update to snapPointsToLines

2013-09-01 18:06  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-08-30 11:38  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-08-30 11:37  rsbivand

	* .Rbuildignore, DESCRIPTION: tidy

2013-08-29 18:49  rsbivand

	* DESCRIPTION, NAMESPACE, R/Rgshhs.R, R/SP2owin.R, R/checkHoles.R,
	  R/maptools.R, R/nowrapRecenter.R, R/sp_spat1.R, R/union.R: remove
	  :::

2013-08-07 11:17  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-08-07 11:15  rsbivand

	* DESCRIPTION, NAMESPACE, man/pointLabelLattice.Rd,
	  man/spCbind-methods.Rd: depends -> imports

2013-07-02 19:01  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-07-02 19:01  rsbivand

	* inst/LICENSE, inst/README: tidy

2013-07-02 18:00  rsbivand

	* DESCRIPTION: tidy

2013-07-02 17:56  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-07-02 17:48  rsbivand

	* DESCRIPTION: tidy

2013-06-27 20:50  edzer

	* R/sp_spat1.R: brought back tess.

2013-06-27 20:46  edzer

	* R/sp_spat1.R: removed class tess, which is used nor exported

2013-06-25 17:11  rsbivand

	* vignettes/combine_maptools.Rnw, vignettes/combine_maptools.pdf:
	  adding footnote

2013-06-21 12:52  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-06-21 12:50  rsbivand

	* DESCRIPTION, man/CCmaps.Rd, man/kmlPoints.Rd, man/kmlPolygons.Rd,
	  man/sun-methods.Rd: length of lines

2013-06-20 18:20  rsbivand

	* DESCRIPTION: adding vignette, kml functions

2013-06-20 18:16  rsbivand

	* DESCRIPTION, NAMESPACE, R/kmlLines.R, R/kmlPolygons.R,
	  inst/shapes/co37_d90.dbf, inst/shapes/co37_d90.shp,
	  inst/shapes/co37_d90.shx, inst/shapes/co45_d90.dbf,
	  inst/shapes/co45_d90.shp, inst/shapes/co45_d90.shx,
	  inst/shapes/co51_d90.dbf, inst/shapes/co51_d90.shp,
	  inst/shapes/co51_d90.shx, inst/share/90mfips.txt,
	  man/kmlLines.Rd, man/kmlPolygons.Rd, vignettes,
	  vignettes/combine_maptools.Rnw, vignettes/combine_maptools.pdf:
	  adding vignette, kml functions

2013-03-30 12:53  rsbivand

	* LICENSE, src/Rcentroid.c, src/Rgshhs.c, src/Rshapewrite1.c,
	  src/insiders.c, src/shapefil.h, src/shpopen.c, src/shptree.c:
	  remove clang warnings

2013-03-22 07:34  rsbivand

	* man/map2SpatialPolygons.Rd: wgs84 -> WGS84 in map2SP help page

2013-03-07 09:47  rsbivand

	* R/Spatial-methods.R, R/SpatialLines-methods.R,
	  R/SpatialPoints-methods.R, R/SpatialPolys-methods.R: block
	  non-Spatial objects

2013-02-10 14:00  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-02-10 13:58  rsbivand

	* .Rbuildignore: don't ship old_man

2013-02-09 10:22  rsbivand

	* DESCRIPTION, src/Rgshhs.c, src/Rshapeget.c, src/Rshapewrite1.c: C
	  code warning cleanup; new-style contribs

2013-01-16 09:24  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2013-01-16 09:22  rsbivand

	* DESCRIPTION, R/AAA.R: move startup message to .onAttach

2013-01-04 00:36  oscarperpi

	* man/lineLabel.Rd: Fixed description in lineLabel.Rd

2012-12-21 12:36  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-11-19 13:29  edzer

	* DESCRIPTION, R/dotsinpolys.R: version bump, added URL
	  dotsinpolygons: renamed sample.Polygons to spsample, so we can
	  retire sample.Xxx in sp

2012-11-19 13:00  oscarperpi

	* NAMESPACE: new method "label" for line labels

2012-11-19 12:59  oscarperpi

	* man/lineLabel.Rd: new line labels examples added

2012-11-19 12:59  oscarperpi

	* R/lineLabel.R: line label algorithm improved

2012-11-12 09:25  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-11-12 09:24  rsbivand

	* ChangeLog, DESCRIPTION, R/CCmaps.R: fix bug in CCmaps

2012-11-06 07:17  rsbivand

	* DESCRIPTION, NAMESPACE, man/lineLabel.Rd,
	  man/pointLabelLattice.Rd: add drawDetails.labels to NAMESPACE

2012-11-05 08:11  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-11-05 08:11  rsbivand

	* DESCRIPTION, NAMESPACE, R/lineLabel.R, R/pointLabel.R,
	  R/pointLabelBase.R, R/pointLabelLattice.R, man/lineLabel.Rd,
	  man/pointLabel.Rd, man/pointLabelBase.Rd,
	  man/pointLabelLattice.Rd, man/sp2WB.Rd: to UTF-8; adding lattice
	  pointLabel

2012-11-04 16:04  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-10-29 14:39  rsbivand

	* DESCRIPTION, R/spatstat1.R: branching in owin2Polygons on
	  as.polygonal type

2012-08-22 12:35  rsbivand

	* man/SpatialLines2PolySet.Rd, man/map2SpatialPolygons.Rd,
	  man/pal2SpatialPolygons.Rd: make suggests if(require())

2012-08-09 12:58  rsbivand

	* DESCRIPTION, R/Rgshhs.R, man/Rgshhs.Rd: Rgshhs SpatialCollections
	  avoidance

2012-07-22 13:10  rsbivand

	* R/midpoint.R: correct midpoint data.frame

2012-06-29 08:45  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-06-08 20:10  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2012-06-08 20:08  rsbivand

	* DESCRIPTION, NAMESPACE, R/midpoint.R,
	  man/SpatialLinesMidPoints.Rd: add line midpoint

2012-05-09 08:12  rsbivand

	* R/getKMLcoordinates.R: blanks in KML input

2012-05-04 08:29  rsbivand

	* R/elide.R: copy comment in elide

2012-05-03 11:09  rsbivand

	* DESCRIPTION, NAMESPACE, R/point_line_distance.R,
	  man/nearestPointOnLine.Rd, man/nearestPointOnSegment.Rd,
	  man/snapPointsToLines.Rd: adding functions for snapping points to
	  lines by German Carrillo

2012-02-06 09:13  rsbivand

	* DESCRIPTION, man/Rgshhs.Rd: Rgshhs documentation

2012-01-27 12:29  rsbivand

	* man/unionSpatialPolygons.Rd: fix documentation

2012-01-15 13:15  rsbivand

	* ChangeLog, DESCRIPTION, inst/ChangeLog: tidy

2012-01-12 06:50  rsbivand

	* man/SplashDams.Rd: updated source for splash dam data

2012-01-09 19:08  rsbivand

	* DESCRIPTION, NAMESPACE, R/kmlPoints.R, data/SplashDams.rda,
	  man/SplashDams.Rd, man/kmlPoints.Rd: adding kmlPoints

2012-01-02 18:14  rsbivand

	* DESCRIPTION, data/state.vbm.rda, man/state.vbm.Rd: adding
	  state.vbm

2011-12-19 09:01  rsbivand

	* ChangeLog, inst/ChangeLog: upgrade GSHHS to 2.2.0

2011-12-19 09:00  rsbivand

	* DESCRIPTION, inst/share/gshhs_c.b, inst/share/wdb_borders_c.b,
	  man/Rgshhs.Rd, src/Rgshhs.c, src/Rgshhs.h: upgrade GSHHS to 2.2.0

2011-11-17 08:19  rsbivand

	* DESCRIPTION, NAMESPACE, R/spatstat1.R, man/as.ppp.Rd: adding
	  as.SpatialLines.psp

2011-11-14 21:35  rsbivand

	* DESCRIPTION, R/checkHoles.R, R/pointLabel.R, R/sun.R,
	  src/shpopen.c: complete partial argument matches

2011-08-08 18:52  rsbivand

	* man/readShapeLines.Rd, man/readShapePoints.Rd,
	  man/readShapePoly.Rd, man/readShapeSpatial.Rd: link to write.dbf

2011-08-07 11:49  rsbivand

	* ChangeLog, inst/ChangeLog: editing startup message

2011-08-07 11:48  rsbivand

	* R/AAA.R: editing startup message

2011-08-07 11:33  rsbivand

	* inst/ChangeLog: editing startup message

2011-08-07 11:32  rsbivand

	* ChangeLog: editing startup message

2011-08-07 11:28  rsbivand

	* NAMESPACE, man/Rgshhs.Rd, man/checkPolygonsHoles.Rd,
	  man/nowrapRecenter.Rd, man/unionSpatialPolygons.Rd: editing
	  startup message

2011-08-06 14:18  rsbivand

	* DESCRIPTION, R/AAA.R, R/checkHoles.R: edited startup message

2011-06-11 05:38  rsbivand

	* ChangeLog, inst/ChangeLog: permit NA IDs in union

2011-06-11 05:37  rsbivand

	* DESCRIPTION, R/union.R, man/unionSpatialPolygons.Rd: permit NA
	  IDs in union

2011-06-10 08:03  rsbivand

	* ChangeLog, inst/ChangeLog: documenting unionSpatialPolygons
	  change

2011-06-10 08:02  rsbivand

	* DESCRIPTION: documenting unionSpatialPolygons change

2011-06-10 08:00  rsbivand

	* ChangeLog, inst/ChangeLog: documenting unionSpatialPolygons
	  change

2011-06-10 07:58  rsbivand

	* man/unionSpatialPolygons.Rd: documenting unionSpatialPolygons
	  change

2011-06-09 08:10  rsbivand

	* DESCRIPTION, R/union.R, man/unionSpatialPolygons.Rd: added
	  gUnaryUnion to unionSpatialPolygons

2011-05-06 06:14  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2011-05-06 06:13  rsbivand

	* DESCRIPTION, R/spatstat1.R, man/as.ppp.Rd: superimpose correction

2011-04-29 06:29  rsbivand

	* ChangeLog, inst/ChangeLog: change superimpose

2011-04-29 06:28  rsbivand

	* DESCRIPTION, R/spatstat1.R: change superimpose

2011-04-03 20:26  sluque

	* R/sun-methods.R: Fix comments for proper outlining with allout.

2011-04-01 06:57  rsbivand

	* DESCRIPTION, R/spatstat1.R, man/as.ppp.Rd: marks fix for psp

2011-03-30 14:48  rsbivand

	* ChangeLog, inst/ChangeLog: more hole fixing

2011-03-30 14:48  rsbivand

	* R/checkHoles.R, man/checkPolygonsHoles.Rd: more hole fixing

2011-03-29 12:45  rsbivand

	* R/checkHoles.R: tree holes

2011-03-29 08:24  rsbivand

	* R/checkHoles.R: STRtree in hole check

2011-03-28 13:14  rsbivand

	* DESCRIPTION, R/checkHoles.R: try around gEquals in hole check

2011-03-28 08:25  rsbivand

	* ChangeLog, inst/ChangeLog: add comments to wrld_simpl

2011-03-28 08:24  rsbivand

	* DESCRIPTION, data/wrld_simpl.rda: add comments to wrld_simpl

2011-03-23 13:50  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2011-03-23 13:50  rsbivand

	* ChangeLog, DESCRIPTION, inst/ChangeLog: tidy

2011-03-22 22:25  rsbivand

	* data/wrld_simpl.rda: resave rda files

2011-03-22 22:23  rsbivand

	* data/gpcholes.rda, data/wrld_simpl.rda: resave rda files

2011-03-22 22:22  rsbivand

	* data/gpcholes.rda, data/wrld_simpl.rda: resave rda files

2011-03-21 10:12  rsbivand

	* ChangeLog, inst/ChangeLog: fix 2.13 Rd bugs

2011-03-21 10:06  rsbivand

	* DESCRIPTION, man/getKMLcoordinates.Rd, man/kmlLine.Rd,
	  man/kmlPolygon.Rd: fix 2.13 Rd bugs

2011-03-10 13:56  rsbivand

	* R/sp2pbs.R, R/spmaps.R: PolySet2SpatialPolygons projection
	  modification

2011-02-24 14:29  rsbivand

	* R/CCmaps.R, R/DP.R, R/Rgshhs.R, R/SpatialLines-methods.R,
	  R/SpatialPolys-methods.R, R/asciigrid.R, R/checkHoles.R,
	  R/elide.R, R/gc_dist.R, R/kmlLine.R, R/kmlPolygon.R,
	  R/maptools.R, R/readSplus.R, R/shapelib.R, R/sp2pbs.R,
	  R/sp_tools.R, R/spmaps.R, R/subset.R: making length comparisons
	  literal integers

2011-02-11 09:42  rsbivand

	* R/Rgshhs.R: Rgshhs intersection

2011-02-06 14:48  rsbivand

	* DESCRIPTION, R/AAA.R, src/shapefil.h, src/shpopen.c,
	  src/shptree.c: suppress startup messages

2011-01-02 14:25  rsbivand

	* R/Rgshhs.R, man/Rgshhs.Rd: GSHHS 2.1.0 update

2010-12-31 15:43  rsbivand

	* inst/share/gshhs_c.b: GSHHS 2.1.0 update

2010-12-31 15:37  rsbivand

	* R/checkHoles.R, man/Rgshhs.Rd, src/Rgshhs.c: GSHHS 2.1.0 update

2010-12-16 10:46  rsbivand

	* man/as.ppp.Rd, man/gzAzimuth.Rd, man/pal2SpatialPolygons.Rd,
	  man/readShapeLines.Rd, man/readShapePoly.Rd,
	  man/readShapeSpatial.Rd, man/readSplus.Rd,
	  man/unionSpatialPolygons.Rd: use rownames for retrieving FIDs

2010-12-16 10:27  rsbivand

	* man/as.ppp.Rd, man/pal2SpatialPolygons.Rd, man/readShapePoly.Rd,
	  man/readSplus.Rd, man/unionSpatialPolygons.Rd: use rownames for
	  retrieving FIDs

2010-11-30 17:37  rsbivand

	* ChangeLog, inst/ChangeLog: tidy

2010-11-30 00:10  edzer

	* man/as.ppp.Rd, man/asciigrid.Rd: updated email address

2010-11-24 13:40  rsbivand

	* R/union.R: preparing for rgeos release

2010-11-24 12:32  rsbivand

	* R/union.R, man/unionSpatialPolygons.Rd: preparing for rgeos
	  release

2010-11-24 09:11  rsbivand

	* ChangeLog: preparing for rgeos release

2010-11-24 09:09  rsbivand

	* inst/ChangeLog: preparing for rgeos release

2010-11-24 09:08  rsbivand

	* DESCRIPTION, R/AAA.R, R/DP.R, R/Rgshhs.R, R/checkHoles.R,
	  R/nowrapRecenter.R, R/union.R, man/Rgshhs.Rd,
	  man/checkPolygonsHoles.Rd, man/nowrapRecenter.Rd,
	  man/thinnedSpatialPoly.Rd, man/unionSpatialPolygons.Rd: preparing
	  for rgeos release

2010-11-18 07:53  rsbivand

	* .Rbuildignore: add .Rbuildignore

2010-11-18 04:30  sluque

	* R/sun-methods.R, R/sun.R, man/sun-methods.Rd: Use match.arg() in
	  sun methods, so that defaults actually work.
	  
	  Minor improvements to documentation.

2010-11-17 15:49  rsbivand

	* INDEX, svn2cl.xsl: initial clean

2010-11-17 15:49  rsbivand

	* ChangeLog, oChangeLog: initial clean

2010-11-17 15:45  rsbivand

	* inst/shapes, inst/shapes/baltim.dbf, inst/shapes/baltim.shp,
	  inst/shapes/baltim.shx, inst/shapes/columbus.dbf,
	  inst/shapes/columbus.shp, inst/shapes/columbus.shx,
	  inst/shapes/fylk-val-ll.dbf, inst/shapes/fylk-val-ll.shp,
	  inst/shapes/fylk-val-ll.shx, inst/shapes/fylk-val.dbf,
	  inst/shapes/fylk-val.shp, inst/shapes/fylk-val.shx,
	  inst/shapes/pointZ.dbf, inst/shapes/pointZ.prj,
	  inst/shapes/pointZ.shp, inst/shapes/pointZ.shx,
	  inst/shapes/sids.dbf, inst/shapes/sids.shp, inst/shapes/sids.shx:
	  initial clean

2010-11-17 15:44  rsbivand

	* inst/shapes: initial clean

2010-11-17 15:40  rsbivand

	* .: initial clean

2010-11-13 15:55  rsbivand

	* adding getRgshhsMap

2010-10-17 18:29  rsbivand

	* ppp marks as data.frame not vector

2010-09-08 17:12  rsbivand

	* zero nParts for lines

2010-09-08 16:36  rsbivand

	* zero nParts for lines

2010-08-28 10:35  rsbivand

	* as.double to storage.mode

2010-08-26 10:36  rsbivand

	* check Sys.which value

2010-08-12 15:09  rsbivand

	* data docs fix

2010-04-22 02:48  rsbivand

	* read.shape filen without extension

2010-04-12 06:55  rsbivand

	* tidy

2010-04-05 10:42  rsbivand

	* comment out links to rgeos

2010-04-03 19:25  rsbivand

	* hide rgeos

2010-04-03 16:23  rsbivand

	* DBF filename, GSHHS C code errors addressed

2010-04-03 16:02  rsbivand

	* DBF filename, GSHHS C code errors addressed

2010-01-17 19:27  rsbivand

	* change spRbind for SpatialPointsDataFrame objects

2010-01-10 19:42  rsbivand

	* gshhs hole fix

2010-01-10 19:37  rsbivand

	* gshhs hole fix

2010-01-08 09:48  rsbivand

	* hole assignment in GSHHS

2010-01-07 18:07  rsbivand

	* rgeos integration

2010-01-07 12:10  rsbivand

	* rgeos integration

2009-12-21 12:39  rsbivand

	* adding CCmaps

2009-12-21 12:39  rsbivand

	* adding CCmaps

2009-12-18 21:56  rsbivand

	* GSHHS upgrade to 2.0

2009-12-03 07:35  rsbivand

	* hole example format change

2009-12-03 07:35  rsbivand

	* hole example format change

2009-12-03 07:34  rsbivand

	* hole example format change

2009-11-23 11:50  rsbivand

	* reinstate getinfo.shape

2009-11-20 12:27  rsbivand

	* moving deprecated functions from namespace

2009-11-19 20:11  rsbivand

	* adding thinnedSpatialPoly

2009-11-05 16:26  edzer

	* moved spChFID method, functions and docs to package sp

2009-09-17 08:22  rsbivand

	* fix documentation links

2009-07-14 09:17  rsbivand

	* KML WGS84 notes added

2009-06-22 14:53  rsbivand

	* changed all.equal to identical in closed ring forcing

2009-06-22 14:52  rsbivand

	* changed all.equal to identical in closed ring forcing

2009-06-10 14:34  rsbivand

	* more NULL geometry trapping

2009-05-26 10:22  rsbivand

	* coercion from owin/tess to SpatialPolygons

2009-04-08 17:29  rsbivand

	* improvements to spatstat support - Adrian Baddeley

2009-03-29 15:32  rsbivand

	* drop=FALSE in reading line and polygon shapefiles

2009-03-17 20:43  vir

	* Minor fix to allow for a line with NA's just before the END.

2009-03-10 17:24  rsbivand

	* data web link

2009-02-18 12:00  rsbivand

	* kml writing; GSHHS lines shift

2009-02-18 11:58  rsbivand

	* kml writing; GSHHS lines shift

2009-02-05 17:45  rsbivand

	* tidy

2009-02-05 15:39  rsbivand

	* adding features to readSplus

2009-02-05 13:39  rsbivand

	* adding readSplus for WinBUGS

2009-01-20 14:39  rsbivand

	* sun NULL tz

2008-11-13 14:07  rsbivand

	* ... for readGPS()

2008-11-13 14:06  rsbivand

	* ... for readGPS()

2008-11-12 14:55  rsbivand

	* as.psp

2008-10-02 14:46  rsbivand

	* changelog

2008-08-14 09:09  rsbivand

	* NULL bug in maps2SP

2008-06-27 08:17  rsbivand

	* readSpatial wrapper

2008-06-19 05:57  rsbivand

	* PolySet2SpatialLines UTM zone update

2008-05-24 17:18  rsbivand

	* GSHHS support to 1.10

2008-05-24 16:27  rsbivand

	* GSHHS support to 1.10

2008-04-14 20:49  rsbivand

	* tidy

2008-04-14 20:35  rsbivand

	* tidy

2008-04-14 20:33  rsbivand

	* PolySet

2008-04-13 16:47  rsbivand

	* PBS to SP SID bug

2008-04-10 14:07  rsbivand

	* tidy

2008-04-04 17:59  rsbivand

	* ABS nulls

2008-04-04 17:59  rsbivand

	* ABS nulls

2008-03-30 19:48  rsbivand

	* GSHHS clip

2008-03-03 21:47  rsbivand

	* makegrid

2008-02-09 12:42  rsbivand

	* line lengths in help

2008-01-30 20:53  rsbivand

	* SG creation

2008-01-30 08:26  rsbivand

	* ppp + getinfo

2008-01-29 11:36  rsbivand

	* ppp + getinfo

2008-01-29 11:00  rsbivand

	* ppp + getinfo

2008-01-29 10:37  rsbivand

	* ppp + getinfo

2008-01-29 09:52  rsbivand

	* ppp + getinfo

2008-01-29 09:03  rsbivand

	* ppp + getinfo

2008-01-29 08:50  rsbivand

	* ppp + getinfo

2008-01-20 15:08  rsbivand

	* pbs to sp

2007-12-13 17:32  rsbivand

	* elide

2007-12-09 18:03  rsbivand

	* elide shift

2007-11-21 22:37  rsbivand

	* elide bug

2007-11-16 09:12  rsbivand

	* GSHHS to 1.5

2007-11-10 13:17  rsbivand

	* assert

2007-10-31 15:43  rsbivand

	* thingy to slot

2007-10-31 13:46  rsbivand

	* thingy to slot

2007-10-23 12:50  rsbivand

	* license

2007-10-10 06:25  rsbivand

	* tidy

2007-10-06 17:38  rsbivand

	* elide first cut

2007-10-06 10:06  rsbivand

	* elide first cut

2007-09-29 16:37  rsbivand

	* pointLabel update

2007-09-26 09:09  rsbivand

	* Ascii Grid dec

2007-09-18 08:19  rsbivand

	* tidy

2007-09-14 20:14  rsbivand

	* Mondrian new format

2007-09-14 06:58  rsbivand

	* pass through max_nchar

2007-09-05 16:09  rsbivand

	* double NA at end of map coords

2007-07-25 08:49  rsbivand

	* 3D polylist, write line shape, owin poly

2007-07-19 19:33  rsbivand

	* 3D polylist writing

2007-06-11 08:05  rsbivand

	* encoding

2007-06-10 21:27  rsbivand

	* encode

2007-06-10 20:47  rsbivand

	* pointLabel

2007-06-05 13:31  rsbivand

	* con correction

2007-05-08 16:35  rsbivand

	* revert spatstat coerce

2007-05-07 08:55  rsbivand

	* tidy

2007-04-28 19:41  rsbivand

	* doc error

2007-04-27 16:37  rsbivand

	* resolve GPS conflict

2007-04-21 04:27  rsbivand

	* GE dimnames

2007-04-16 04:01  rsbivand

	* sp problem and gps

2007-04-16 02:40  rsbivand

	* sp problem and gps

2007-03-29 14:34  rsbivand

	* tidy

2007-03-23 17:50  rsbivand

	* readGPS

2007-02-09 20:09  rsbivand

	* force_ring in readShapePoly

2007-02-01 14:28  rsbivand

	* sun manual tidy

2007-01-21 10:50  rsbivand

	* GE_PNG additions

2007-01-20 21:36  rsbivand

	* GE_PNG additions

2007-01-16 09:39  rsbivand

	* im and sun-methods

2007-01-16 09:23  rsbivand

	* im and sun-methods

2006-12-02 15:38  rsbivand

	* release

2006-11-22 12:03  rsbivand

	* Rgshhs

2006-11-16 14:34  rsbivand

	* bind

2006-10-31 13:07  rsbivand

	* sun and r-spatial integration

2006-10-31 08:31  rsbivand

	* sun and r-spatial integration

2006-10-29 13:53  rsbivand

	* sun ephemerides

2006-10-28 19:56  rsbivand

	* sun ephemerides

2006-10-28 17:23  rsbivand

	* sun ephemerides

2006-10-19 20:03  rsbivand

	* dostInPolys NULL

2006-09-21 19:42  rsbivand

	* R 2.4.0

2006-08-30 14:50  rsbivand

	* pointZ

2006-08-30 07:00  rsbivand

	* pointZ

2006-05-02 07:07  rsbivand

	* Geolytics bug

2006-04-10 19:21  rsbivand

	* fix to sp2WB, readAsciiGrid, writeAsciiGrid

2006-03-20 08:32  rsbivand

	* Mondrian

2006-03-10 12:50  rsbivand

	* sp2Mondrian

2006-03-01 08:53  rsbivand

	* checks on polylists

2006-01-11 11:08  rsbivand

	* tmap

2006-01-10 13:08  rsbivand

	* tmap

2006-01-09 13:33  rsbivand

	* sp2tmap

2006-01-08 21:23  rsbivand

	* adding sp2tmap

2006-01-08 18:34  rsbivand

	* adding sp2tmap

2005-12-15 15:00  rsbivand

	* to 5-4

2005-12-12 21:27  rsbivand

	* sp2WB

2005-10-03 17:44  rsbivand

	* lines bugs

2005-09-14 21:08  rsbivand

	* as at 0.5-2

2005-09-13 17:24  rsbivand

	* remove suggested splancs

2005-09-13 14:53  rsbivand

	* remove suggested splancs

2005-09-09 14:28  rsbivand

	* ... in plot.Map

2005-09-08 20:28  rsbivand

	* dotsinpolys begun

2005-09-08 11:11  rsbivand

	* codetools

2005-09-05 12:54  rsbivand

	* links

2005-09-05 09:00  rsbivand

	* removing _

2005-09-03 16:19  rsbivand

	* added ... to degAxis()

2005-09-02 07:40  rsbivand

	* more asciigrid

2005-09-01 18:26  rsbivand

	* Initial revision

2005-09-01 18:26  

	* New repository initialized by cvs2svn.

